Skip to content

Retry Run

POST /runs/{run_id}/retry

A new attempt on the same run: the checkpoint thread continues and cost accumulates.

NameInTypeNotes
run_idpathstring (uuid)required—
FieldTypeNotes
reasonstring | nulloptionalmax length 500
StatusDescriptionBody
202Successful ResponseRunView
422Validation ErrorHTTPValidationError
Terminal window
curl -X POST https://your-deployment.example.com/runs/{run_id}/retry \
-H "Authorization: Bearer $COBRE_TOKEN"
FieldTypeNotes
client_toolsend | suspendoptionalDefault "end".
client_tool_timeout_sinteger | nulloptional—
idstring (uuid)required—
statusqueued | running | suspended | succeeded | failed | timed_out | cancelledrequired—
agent_idstring (uuid)required—
agent_revision_idstring (uuid)required—
persona_idstring (uuid) | nulloptional—
session_idstring (uuid) | nullrequired, nullable—
parent_run_idstring (uuid) | nullrequired, nullable—
root_run_idstring (uuid) | nullrequired, nullable—
delegation_depthintegerrequired—
lanestringrequired—
priorityintegerrequired—
trigger_kindapi | schedule | event | channel | delegation | retry | replay | maintenance | systemrequired—
response_modeasync | sync | callback | ackrequired—
inputobjectrequired—
outputobject | nullrequired, nullable—
error_messagestring | nullrequired, nullable—
failure_classtransient | provider | tool | guardrail | budget | policy | timeout | recursion | cancelled | fatal | nullrequired, nullable—
failure_detailstring | nullrequired, nullable—
attempt_countintegerrequired—
max_attemptsintegerrequired—
queued_atstring (date-time)required—
first_started_atstring (date-time) | nullrequired, nullable—
completed_atstring (date-time) | nullrequired, nullable—
deadline_atstring (date-time) | nullrequired, nullable—
next_attempt_atstring (date-time) | nullrequired, nullable—
duration_msinteger | nullrequired, nullable—
active_msintegerrequired—
queue_msinteger | nullrequired, nullable—
phase_timingsobjectrequired—
usageRunUsageViewoptional—
correlation_idstring (uuid) | nulloptional—
actor_credential_fingerprintstring | nulloptional—
actor_credential_expires_atstring (date-time) | nulloptional—
consolidation_run_idstring (uuid) | nulloptional—
persona_namestring | nulloptional—